import { TipsLayer } from "../../prefab/layer/TipsLayer";
import Utils from "../utils/Utils";

export class BindGameM {
  private static _ins: BindGameM = null;
  public static get ins(): BindGameM {
    if (BindGameM._ins == null) {
      BindGameM._ins = new BindGameM();
    }
    return BindGameM._ins;
  }

  check() {
    let pvzCode = Utils.getQueryString("pvzCode");
    if (pvzCode && pvzCode.length > 0) {
      console.warn("pvzCode", pvzCode);
      TipsLayer.showConfirm("", "bind code:" + pvzCode);
    }
  }
}
